#ifndef _PRODONDATE_H
#define _PRODONDATE_H

#include <QDialog>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QListView>
#include <QtWidgets/QTreeWidget>
#include <QtWidgets/QDialog>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QLabel>
#include <QtWidgets/QLineEdit>
#include <QtWidgets/QPlainTextEdit>
#include <QtWidgets/QDoubleSpinBox>
#include <QtWidgets/QSpinBox>

namespace Ui {
class ProdOnDate;
}

class ProdOnDate : public QDialog
{
    Q_OBJECT

public:
    explicit ProdOnDate(QWidget *parent = nullptr);
    ~ProdOnDate();

signals:
    void setStatus(QString);

private slots:
    void on_openButton_clicked();
    void on_item_clicked(QTreeWidgetItem *, int);
    void on_item_doubleclicked(QTreeWidgetItem *, int);
    void refreshTable(void);

private:
    QGridLayout *gridLayout;
    QTreeWidget *treeWidget;
    QGroupBox *groupBox, *recipeBox;
    QHBoxLayout *horizontalLayout;
    QPushButton *quitButton, *openButton;
    QLabel *volumeLabel, *efficiencyLabel, *boilvolumeLabel;
    QLabel *boiltimeLabel, *ogLabel, *fgLabel;
    QLabel *abvLabel, *co2Label, *colorLabel;
    QLabel *colormethodLabel, *ibuLabel, *ibumethodLabel;
    QLabel *remarksLabel;
    QDoubleSpinBox *volumeEdit, *boilvolumeEdit;
    QDoubleSpinBox *efficiencyEdit, *ogEdit, *fgEdit;
    QDoubleSpinBox *abvEdit, *co2Edit;
    QSpinBox *boiltimeEdit, *colorEdit, *ibuEdit;
    QPlainTextEdit *remarksEdit;
    QLineEdit *colormethodEdit, *ibumethodEdit;
    int	record;

    void edit(int recno);
    void showRecipe();
};

#endif
